archmCopula-class {copula} | R Documentation

## Class "archmCopula"

### Description

Archimedean copula class.

### Objects from the Class

Objects can be created by calls of the form `new("archmCopula", ...)` or by function `archmCopula`. Implemented families are Clayton, Gumbel, Frank, Joe, and Ali-Mikhail-Haq.

### Slots

`exprdist`:

  Object of class `"expression"`: expressions of the cdf and pdf of the copula. These expressions are used in function `pCopula` and `dCopula`.

`dimension, parameters`, etc:

  all inherited from the super class `copula`.

### Methods

dCopula

  `signature(copula = "claytonCopula")`: ...

pCopula

  `signature(copula = "claytonCopula")`: ...

rCopula

  `signature(copula = "claytonCopula")`: ...

dCopula

  `signature(copula = "frankCopula")`: ...

pCopula

  `signature(copula = "frankCopula")`: ...

rCopula

  `signature(copula = "frankCopula")`: ...

dCopula

  `signature(copula = "gumbelCopula")`: ...

pCopula

  `signature(copula = "gumbelCopula")`: ...

rCopula

  `signature(copula = "gumbelCopula")`: ...

dCopula

  `signature(copula = "amhCopula")`: ...

pCopula

  `signature(copula = "amhCopula")`: ...

rCopula

  `signature(copula = "amhCopula")`: ...

dCopula

  `signature(copula = "joeCopula")`: ...

pCopula

  `signature(copula = "joeCopula")`: ...

rCopula

  `signature(copula = "joeCopula")`: ...

### Extends

Class `"archmCopula"` extends class `"copula"` directly. Class `"claytonCopula"`, `"frankCopula"`, `"gumbelCopula"`, `"amhCopula"` and `"joeCopula"` extends class `"archmCopula"` directly.

### Note

`"gumbelCopula"` is also of class `"evCopula"`.

### See Also

`archmCopula`, for constructing such copula objects; `copula-class`.

[Package copula version 0.999-15 Index]